gnutls_global_set_mem_functions(3)

NAME
gnutls_global_set_mem_functions - API function

SYNOPSIS
#include <gnutls/compat.h>

void gnutls_global_set_mem_functions(gnutls_alloc_function alloc_func, gnutls_alloc_function secure_alloc_func, gnutls_is_secure_function is_secure_func, gnutls_realloc_function realloc_func, gnutls_free_function free_func);

ARGUMENTS

gnutls_alloc_function alloc_func
    it's the default memory allocation function. Like malloc().

gnutls_alloc_function secure_alloc_func
    This is the memory allocation function that will be used for sensitive data.

gnutls_is_secure_function is_secure_func
    a function that returns 0 if the memory given is not secure. May be NULL.

gnutls_realloc_function realloc_func
    A realloc function

gnutls_free_function free_func
    The function that frees allocated data. Must accept a NULL pointer.

DEPRECATED
since 3.3.0 it is no longer possible to replace the internally used memory allocation functions

This is the function where you set the memory allocation functions gnutls is going to use. By default the libc's allocation functions (malloc(), free()), are used by gnutls, to allocate both sensitive and not sensitive data. This function is provided to set the memory allocation functions to something other than the defaults

This function must be called before gnutls_global_init() is called. This function is not thread safe.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/